Bug 1909865 - plantuml should depend on java, not java-headless
Summary: plantuml should depend on java, not java-headless
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plantuml
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandipan Roy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-21 20:46 UTC by Omair Majid
Modified: 2022-01-10 14:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-10 14:17:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Omair Majid 2020-12-21 20:46:01 UTC
I didn't have plantuml installed. So I installed it, but it threw an exception:


$ plantuml
bash: plantuml: command not found...
Install package 'plantuml' to provide command 'plantuml'? [N/y] y


 * Waiting in queue... 
The following packages have to be installed:
 javapackages-tools-5.3.0-13.fc33.noarch	Macros and scripts for Java packaging support
 plantuml-1:1.2019.1-6.fc33.noarch	Program to generate UML diagram from a text description
Proceed with changes? [N/y] y


 * Waiting in queue... 
 * Waiting for authentication... 
 * Waiting in queue... 
 * Downloading packages... 
 * Requesting data... 
 * Testing changes... 
 * Installing packages... 
Exception in thread "main" java.lang.UnsatisfiedLinkError: Can't load library: /usr/lib/jvm/java-11-openjdk-11.0.9.11-4.fc33.x86_64/lib/libawt_xawt.so
	at java.base/java.lang.ClassLoader.loadLibrary(ClassLoader.java:2630)
	at java.base/java.lang.Runtime.load0(Runtime.java:768)
	at java.base/java.lang.System.load(System.java:1837)
	at java.base/java.lang.ClassLoader$NativeLibrary.load0(Native Method)
	at java.base/java.lang.ClassLoader$NativeLibrary.load(ClassLoader.java:2442)
	at java.base/java.lang.ClassLoader$NativeLibrary.loadLibrary(ClassLoader.java:2498)
	at java.base/java.lang.ClassLoader.loadLibrary0(ClassLoader.java:2694)
	at java.base/java.lang.ClassLoader.loadLibrary(ClassLoader.java:2648)
	at java.base/java.lang.Runtime.loadLibrary0(Runtime.java:830)
	at java.base/java.lang.System.loadLibrary(System.java:1873)
	at java.desktop/java.awt.image.ColorModel$1.run(ColorModel.java:209)
	at java.desktop/java.awt.image.ColorModel$1.run(ColorModel.java:207)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.desktop/java.awt.image.ColorModel.loadLibraries(ColorModel.java:206)
	at java.desktop/java.awt.image.ColorModel.<clinit>(ColorModel.java:219)
	at java.desktop/java.awt.image.BufferedImage.<clinit>(BufferedImage.java:286)
	at net.sourceforge.plantuml.FileFormat.<clinit>(FileFormat.java:85)
	at net.sourceforge.plantuml.Option.<init>(Option.java:93)
	at net.sourceforge.plantuml.Run.main(Run.java:87)


It looks like it wants to use libawt_xawt.so and so should require java, not java-headless:

$ ls /usr/lib/jvm/java-11-openjdk-11.0.9.11-4.fc33.x86_64/lib/
classlist   jspawnhelper        libdt_socket.so    libj2pcsc.so    libjdwp.so    libmanagement_agent.so  libnio.so     libsunec.so   psfontj2d.properties
jexec       jvm.cfg             libextnet.so       libj2pkcs11.so  libjimage.so  libmanagement_ext.so    libprefs.so   libunpack.so  psfont.properties.ja
jfr         libattach.so        libfontmanager.so  libjaas.so      libjsig.so    libmanagement.so        librmi.so     libverify.so  security
jli         libawt_headless.so  libinstrument.so   libjavajpeg.so  libjsound.so  libmlib_image.so        libsaproc.so  libzip.so     server
jrt-fs.jar  libawt.so           libj2gss.so        libjava.so      liblcms.so    libnet.so               libsctp.so    modules       tzdb.dat
$ rpm -q plantuml
plantuml-1.2019.1-6.fc33.noarch
$ rpm -q plantuml --requires
/usr/bin/bash
java-headless
javapackages-filesystem
javapackages-tools
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1

$ sudo dnf install /usr/lib/jvm/java-11-openjdk-11.0.9.11-4.fc33.x86_64/lib/libawt_xawt.so
[sudo] password for omajid: 
Last metadata expiration check: 5:50:49 ago on Mon 21 Dec 2020 09:51:27 AM EST.
Dependencies resolved.
==============================================================================================================================================================
 Package                                      Architecture                   Version                                    Repository                       Size
==============================================================================================================================================================
Installing:
 java-11-openjdk                              x86_64                         1:11.0.9.11-4.fc33                         updates                         250 k
Installing dependencies:
 ttmkfdir                                     x86_64                         3.0.9-62.fc33                              fedora                           52 k
 xorg-x11-fonts-Type1                         noarch                         7.5-25.fc33                                fedora                          501 k

Comment 1 aiman 2021-06-14 09:51:24 UTC
I can confirm this on a brand new Fedora 24 install.

After installing plantuml-1.2021.0-2.fc34.noarch, and launching plantuml in the terminal, the program just hangs with high CPU usage. All invocations of plantuml would hang, including with no arguments, with "-help" or "-version" arguments, etc.

Once hanging, pressing CTRL+C does terminate the process, but will also output one or more occurrences of this error message: 

> ERROR: JVMTI: 112(JVMTI_ERROR_WRONG_PHASE): jvmtiEnv::GetLoadedClasses()

After installing java-11-openjdk, it works just fine with no hangs and no errors.

Comment 2 Eric L. 2021-06-20 17:32:36 UTC
Fedora 34, no hang, directly the same exception as reported initially. Installing the full Java solves indeed the issue.

Comment 3 Eugene A. Pivnev 2021-09-14 20:05:57 UTC
The same (F34).

Comment 4 Alec Clews 2021-10-24 19:46:42 UTC
The same F35

I also had to install Graphviz. Can the dependencies be updated?

Comment 5 Ben Cotton 2021-11-04 13:38:50 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2021-11-04 14:08:25 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2021-11-04 15:05:25 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Blaise Pabon 2021-11-16 18:17:46 UTC
I love this package and would be happy to pick up the maintenance if no one else wants it.
I'm not yet a full member of packagers, so I may need some help to get sponsored.

@jsafrane@redhat.com, would you be able to help me?

Comment 9 Jan Safranek 2021-11-22 09:21:34 UTC
I orphaned the package recently. Any Fedora package maintainer can take the package at https://src.fedoraproject.org/rpms/plantuml

Comment 10 Blaise Pabon 2021-11-23 16:00:02 UTC
Thank you Jan.
OK. Since the upstream project maintains a nice Docker image, maybe we'll just let this package fade away.

Comment 11 Ben Cotton 2021-11-30 16:08:54 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Sandipan Roy 2022-01-10 14:17:49 UTC
All java related issues are solved with the new version.
Closing as rawhide, in case the same issue is found kindly reopen this bug.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.